Loading...
Searching...
No Matches
XrdCl::FunctionWrapper< void > Class Reference

`#include <XrdClOperationHandlers.hh>`

Inheritance diagram for XrdCl::FunctionWrapper< void >:
Collaboration diagram for XrdCl::FunctionWrapper< void >:

## Public Member Functions

| FunctionWrapper (std::function< void(XRootDStatus &)> handleFunction)
| Constructor.
| FunctionWrapper (std::function< void(XRootDStatus &, HostList &)> handleFunction)
| Constructor.
void | HandleResponseWithHosts (XRootDStatus *status, AnyObject *response, HostList *hostList)
| Callback method.
Public Member Functions inherited from XrdCl::ResponseHandler
virtual | ~ResponseHandler ()
virtual void | HandleResponse (XRootDStatus *status, AnyObject *response)

## Additional Inherited Members

Static Public Member Functions inherited from XrdCl::ResponseHandler
static ResponseHandler * | Wrap (std::function< void(XRootDStatus &, AnyObject &)> func)
static ResponseHandler * | Wrap (std::function< void(XRootDStatus *, AnyObject *)> func)

## Detailed Description

Lambda wrapper

Template specialization for responses that return no value (void)

Definition at line 215 of file XrdClOperationHandlers.hh.

## Constructor & Destructor Documentation

## FunctionWrapper() [1/2]

XrdCl::FunctionWrapper< void >::FunctionWrapper | ( | std::function< void(XRootDStatus &)> | handleFunction | ) |

inline

Constructor.

Parameters

  func | : function, functor or lambda (1 argument)

Definition at line 224 of file XrdClOperationHandlers.hh.

:
fun( [handleFunction]( XRootDStatus& s, HostList& ){ handleFunction( s ); } )
{
}
XrdCl::FunctionWrapper
Definition XrdClOperationHandlers.hh:165

## FunctionWrapper() [2/2]

XrdCl::FunctionWrapper< void >::FunctionWrapper | ( | std::function< void(XRootDStatus &, HostList &)> | handleFunction | ) |

inline

Constructor.

Parameters

  func | : function, functor or lambda (2 arguments)

Definition at line 235 of file XrdClOperationHandlers.hh.

:
fun( handleFunction )
{
}

## Member Function Documentation

## HandleResponseWithHosts()

void XrdCl::FunctionWrapper< void >::HandleResponseWithHosts | ( | XRootDStatus * | status,
|  | AnyObject * | response,
|  | HostList * | hostList )

inline virtual

Callback method.

Reimplemented from XrdCl::ResponseHandler.

Definition at line 244 of file XrdClOperationHandlers.hh.

{
std::unique_ptr<XRootDStatus> delst( status );
std::unique_ptr<AnyObject> delrsp( response );
std::unique_ptr<HostList> delhl( hostList );
fun( *status, *hostList );
}

The documentation for this class was generated from the following file:

- XrdClOperationHandlers.hh